<template>
	<v-dialog
	      v-model="visible"
	      persistent
	      width="300"
	    >
	      <v-card
	        :color="color"
	        :dark="dark"
	      >
	        <v-card-text>
	          {{ message }}
	          <v-progress-linear
	            :indeterminate="indeterminate"
	            :color="progressColor"
	            class="mb-0"
	          ></v-progress-linear>
	        </v-card-text>
	      </v-card>
	    </v-dialog>
</template>

<script>
import {bus} from '@js/bus'

export default {
	props: {
		indeterminate: {
			type: Boolean,
			default: false
		},
		value: {
			type: Number,
			default: 0
		},
		color: {
			type: String,
			default: 'primary'
		},
		progressColor: {
			type: String,
			default: 'white'
		},
		dark: {
			type: Boolean,
			default: true
		},
		message: {
			type: String,
			default: 'Operation in progress'
		}
	},

	data() {
		return {
			visible: false
		}
	},

	created() {
		bus.$on('show-progress', this.show)
		bus.$on('hide-progress', this.close)
	},

	beforeDestroy() {
		bus.$off('show-progress', this.show)
		bus.$off('hide-progress', this.close)
	},

	methods: {
		clear() {

		},

		show() {
			this.visible = true
		},

		close() {
			this.visible = false
		}
	},


}
</script>